[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TResources.MoveFrom

Moves all resources of another TResources object to itself

## Declaration

Source position: resource.pp line 263

`public procedure TResources.MoveFrom(`
`aResources: TResources`
`);`

## Arguments

`aResources` |  | The TResources object from which resources must be taken

## Description

This method takes all resources from object aResources and adds them to this object. aResources object is left empty.

## Errors

If a resource with the same type, name and language ID already exists, an EResourceDuplicateException exception is raised.

## See also

TResources.Add |  | Adds a resource